/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1988, 2020 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

char _grep_mode_name[] = "Grep";
#define BUFPREFIX	"(Buffer) "
#define MANPREFIX	"man page "
user char grep_ignore_file_extensions[FNAMELEN]
   = "|.obj|.exe|.o|.b|.dll|.lib|.zip|.tgz|.lo|.a|.so|.asv#|.class|.pll|.pyd|.ses|";
user char grep_ignore_file_pattern[FNAMELEN * 2]
   = "((.*[\\/])?(CVS|.svn)[\\/]|/proc/)";

user char grep_ignore_file_basename[FNAMELEN] = "";
user int grep_ignore_file_max_size = 2_000_000_000;
user int grep_ignore_file_types = 7;
user char use_grep_ignore_file_variables = 1;
user char grep_on_changed_file = 1;
user char grep_default_directory = 0;
user char grep_show_absolute_path = 0;
user char grep_include_timestamp = 0;
user char search_man_pages_shows_all = 0;

// Standard option set "all" includes everything in grep.
char use_grep_ignore_file_variables_all = 0;

color_class grep_text;
color_class grep_match;
color_class grep_filename;
color_class grep_header;
