/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1996, 2020 Lugaru Software Ltd.  All rights reserved.  *
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

#define INFO_BUF		"-info"			/* info files go here */
#define INFO_HISTORY	"-info-history"	/* history of visited nodes */
#define INFO_INDEX		"-info-index"	/* last index cmd gave these matches */

// Unix paths use : as a separator, non-Unix uses ; separator.
user char info_path_unix[500]
   = "%x../info:/usr/local/lib/info:/usr/local/info:/usr/share/info:/usr/info"
	 ":/opt/gnu/info:/usr/gnu/info:/usr/gnu/lib/info:/usr/lib/info"
	 ":/usr/local/gnu/info:/usr/local/gnu/lib/info:/usr/local/share/info"
	 ":/usr/local/share/lib/info:/usr/share/info:/usr/share/lib/info";

user char info_path_non_unix[FNAMELEN] = "%x..\\info;%x";
color_class info_link;
color_class info_match;

char _info_mode_name[] = "Info";
keytable info_tab;			/* key table for info mode */
#define INFO_CSTR	"\x1F"	/* node separator */
zeroed char info_recovering;		// Prevent failures from recursing.

keytable man_tab;
char _man_mode_name[] = "Man";
zeroed buffer char _man_program;
