/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1996, 2020 Lugaru Software Ltd.  All rights reserved.  *
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

#include <colcode.h>

char _postscript_mode_name[] = "PostScript";
user char auto_show_postscript_delimiters = 1;
user char postscript_auto_show_delim_chars[20] = "{[()]}";
keytable pscript_tab;

char _conf_mode_name[] = "Conf";
user char auto_show_conf_delimiters = 1;
user char conf_auto_show_delim_chars[20] = "{[()]}";
keytable conf_tab;

color_class postscript_comment;
color_class postscript_text;
color_class postscript_literal;

// Mode for .conf files.
color_class conf_comment;
color_class conf_attribute;
color_class conf_value;

char _batch_mode_name[] = "Batch";
user char copy_include_file_name_batch[FNAMELEN] = "call %r";
keytable batch_tab;
user char auto_show_batch_delimiters = 1;
user char batch_auto_show_delim_chars[20] = "{[()]}";
color_class batch_comment;
color_class batch_keyword;
color_class batch_punctuation;

keytable nsis_tab;
user char auto_show_nsis_delimiters = 3;
user char nsis_auto_show_delim_chars[20] = "{[()]}";
color_class nsis_comment = color_class c_comment;
color_class nsis_keyword = color_class c_special;
color_class nsis_string = color_class c_string;
color_class nsis_preprocessor = color_class c_preprocessor;
