/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1996, 2020 Lugaru Software Ltd.  All rights reserved.  *
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

#include <colcode.h>

char _rmode_mode_name[] = "R";
keytable rmode_tab;			/* key table for R mode */
user char compile_rmode_cmd[128] = "R <\"%r\""; // execute this file
user buffer int rmode_indent = 4;
user int rmode_tab_override = 4;

user char auto_show_rmode_delimiters = 1;
user char rmode_auto_show_delim_chars[20] = "{([])}";
user char rmode_indent_to_comment = 1;

color_class rmode_comment = color_class c_comment;
color_class rmode_string = color_class c_string;
color_class rmode_number = color_class c_string;
color_class rmode_keyword = color_class c_keyword;
color_class rmode_identifier = color_class c_identifier;
color_class rmode_function = color_class c_function;
color_class rmode_operator = color_class c_keyword;

int color_rmode_range();
