/************************************************** -*- tab-width:4 -*- *
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1988, 2018 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

char _tcl_mode_name[] = "Tcl";
keytable tcl_tab;			/* key table for tcl mode */
user char compile_tcl_cmd[128] = "tclsh \"%r\""; // run this file
user char auto_show_tcl_delimiters = 1;
user char tcl_auto_show_delim_chars[20] = "{[()]}";
user buffer char tcl_indent = 4;

color_class tcl_command;
color_class tcl_string;
color_class tcl_variable;
color_class tcl_comment;

#define TCL_IDENT	"[a-zA-Z0-9_]+(::[a-zA-Z0-9_]+)*"
